local addon, ns = ...
local ss = ns.SS

local setmetatable = setmetatable
local CreateFrame = CreateFrame

local mtGloss = {};

function mtGloss:New(parent)
  -- Add gloss
  local glossHolder = CreateFrame("FRAME",nil, parent)
  glossHolder:SetAllPoints(parent)

  glossHolder.glossOverlay = glossHolder:CreateTexture(nil,"OVERLAY")
  glossHolder.glossOverlay:SetTexture(ss.private.textures["gloss"])
  glossHolder.glossOverlay:SetAllPoints(glossHolder)

  return glossHolder
end

ss["Gloss"] = setmetatable({}, { __index = mtGloss });
